[arch-commits] Commit in python-pg8000/repos/community-any (PKGBUILD PKGBUILD)

Chih-Hsuan Yen yan12125 at archlinux.org
Sun Jul 26 12:28:48 UTC 2020


    Date: Sunday, July 26, 2020 @ 12:28:48
  Author: yan12125
Revision: 665335

archrelease: copy trunk to community-any

Added:
  python-pg8000/repos/community-any/PKGBUILD
    (from rev 665334, python-pg8000/trunk/PKGBUILD)
Deleted:
  python-pg8000/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   97 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 49 insertions(+), 48 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-26 12:28:32 UTC (rev 665334)
+++ PKGBUILD	2020-07-26 12:28:48 UTC (rev 665335)
@@ -1,48 +0,0 @@
-# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
-# Contributor: quomoow <quomoow at gmail.com>
-
-pkgname=python-pg8000
-pkgver=1.16.1
-pkgrel=1
-pkgdesc="Pure-Python PostgreSQL database driver, DB-API compatible"
-arch=(any)
-url='https://github.com/tlocke/pg8000'
-license=(BSD)
-makedepends=(python-setuptools)
-checkdepends=(python-pytest python-pytest-mock python-pytz pifpaf postgresql)
-depends=(python python-scramp)
-source=("https://github.com/tlocke/pg8000/archive/$pkgver/pg8000-$pkgver.tar.gz")
-sha256sums=('8af9ba3e1edf249b50b13f9f654aa6d39dd66c959fbbf041a4b66cefeb05c7d9')
-
-prepare() {
-  cd pg8000-$pkgver
-
-  # Remove upper bounds of dependencies
-  sed --in-place=.orig -r 's#,?<[0-9.]+,?##;s#==([0-9.]+)#>=\1#' setup.py
-  diff -u setup.py{.orig,} || true
-}
-
-build() {
-  cd pg8000-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd pg8000-$pkgver
-  # See upstream .travis.yml for initialization SQL commands
-  # XXX: The postgres plugin in pifpaf does not listen on a TCP port
-  #      without --host
-  # XXX: testGss and testSsl needs custom pg_hba.conf and postgresql.conf,
-  #      and pifpaf does not support that yet
-  PYTHONPATH="$PWD" pifpaf run postgresql --host localhost -- bash -c "
-    psql -c \"CREATE ROLE postgres WITH LOGIN SUPERUSER PASSWORD 'pw';\"
-    psql -c \"create extension hstore;\"
-    pytest -v test -k 'not testGss and not testSsl'
-  "
-}
-
-package() {
-  cd pg8000-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
-  install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname
-}

Copied: python-pg8000/repos/community-any/PKGBUILD (from rev 665334, python-pg8000/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-07-26 12:28:48 UTC (rev 665335)
@@ -0,0 +1,49 @@
+# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
+# Contributor: quomoow <quomoow at gmail.com>
+
+pkgname=python-pg8000
+pkgver=1.16.3
+pkgrel=1
+pkgdesc="Pure-Python PostgreSQL database driver, DB-API compatible"
+arch=(any)
+url='https://github.com/tlocke/pg8000'
+license=(BSD)
+makedepends=(python-setuptools)
+checkdepends=(python-pytest python-pytest-mock python-pytest-benchmark
+              python-pytz pifpaf postgresql)
+depends=(python python-scramp)
+source=("https://files.pythonhosted.org/packages/source/p/pg8000/pg8000-$pkgver.tar.gz")
+sha256sums=('91b1584f25c84c2d0fe408bd44466cc16e1db9b9e95f454ff7c334edf3fe650c')
+
+prepare() {
+  cd pg8000-$pkgver
+
+  # Remove upper bounds of dependencies
+  sed --in-place=.orig -r 's#,?<[0-9.]+,?##;s#==([0-9.]+)#>=\1#' setup.py
+  diff -u setup.py{.orig,} || true
+}
+
+build() {
+  cd pg8000-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd pg8000-$pkgver
+  # See upstream .travis.yml for initialization SQL commands
+  # XXX: The postgres plugin in pifpaf does not listen on a TCP port
+  #      without --host
+  # XXX: testGss and testSsl needs custom pg_hba.conf and postgresql.conf,
+  #      and pifpaf does not support that yet
+  PYTHONPATH="$PWD" pifpaf run postgresql --host localhost -- bash -c "
+    psql -c \"CREATE ROLE postgres WITH LOGIN SUPERUSER PASSWORD 'pw';\"
+    psql -c \"create extension hstore;\"
+    pytest -v test -k 'not testGss and not testSsl'
+  "
+}
+
+package() {
+  cd pg8000-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+  install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname
+}



More information about the arch-commits mailing list